﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Markup;

namespace RichTextBoxSubSuperscript
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            this.Loaded += Window1_Loaded;
        }

        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            UpdateResultsBox();
        }

        private void ToggleSuperscriptButton_Click(object sender, RoutedEventArgs e)
        {
            // Toggle then make sure we set focus back to our text box
            MainText.ToggleSelectionSuperscript();
            MainText.Focus();
        }

        private void ToggleSubscriptButton_Click(object sender, RoutedEventArgs e)
        {
            // Toggle then make sure we set focus back to our text box
            MainText.ToggleSelectionSubscript();
            MainText.Focus();
        }

        private void MainText_TextChanged(object sender, TextChangedEventArgs e)
        {
            UpdateResultsBox();
        }

        /// <summary>
        /// Dump the XAML representation of the RichTextBox document to the results box
        /// </summary>
        private void UpdateResultsBox()
        {
            ResultsBox.Text = XamlWriter.Save(MainText.Document);
        }
    }
}
